// LeftView.cpp : implementation of the CLeftView class
//

#include "stdafx.h"
#include "YtvServices.h"

#include "YtvScansDoc.h"
#include "LeftView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLeftView

IMPLEMENT_DYNCREATE(CLeftView, CTreeView)

BEGIN_MESSAGE_MAP(CLeftView, CTreeView)
	//{{AFX_MSG_MAP(CLeftView)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CTreeView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CTreeView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CTreeView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLeftView construction/destruction

CLeftView::CLeftView()
{
	// TODO: add construction code here
    m_pImageList = NULL;
	m_pImageListSel = NULL;
}

CLeftView::~CLeftView()
{
	if( m_pImageList != NULL)
		delete m_pImageList;
	if( m_pImageListSel != NULL)
		delete m_pImageListSel;
}

BOOL CLeftView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CTreeView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CLeftView drawing

void CLeftView::OnDraw(CDC* pDC)
{
	CYtvScansDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}


/////////////////////////////////////////////////////////////////////////////
// CLeftView printing

BOOL CLeftView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CLeftView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CLeftView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CLeftView::OnInitialUpdate()
{
	CTreeView::OnInitialUpdate();

	// TODO: You may populate your TreeView with items by directly accessing
	//  its tree control through a call to GetTreeCtrl().
	CTreeCtrl& ptree=GetTreeCtrl();
	m_pImageList=new CImageList;
    m_pImageListSel=new CImageList;
    m_pImageListSel->Create(16,16,0,4,3);//small icons
	m_pImageList->Create(16,16,0,4,3);//small icons
    HICON hIcon=LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDR_MAINFRAME));
    m_pImageList->Add(hIcon);
	DestroyIcon(hIcon);
	hIcon=LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDI_YTV_DOCTORS));
    m_pImageList->Add(hIcon);
	DestroyIcon(hIcon);
	hIcon=LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDR_YTVULTTYPE));
	m_pImageList->Add(hIcon);
	DestroyIcon(hIcon);
	/*	hIcon=LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDI_YTVREG_LEAVES));
		m_pImageList->Add(hIcon);
		DestroyIcon(hIcon);
		hIcon=LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDI_YTV_ACCESS_DENIED));
		m_pImageList->Add(hIcon);
		DestroyIcon(hIcon);
        hIcon=LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDI_YTV_REGISTRY_ERROR));
		m_pImageList->Add(hIcon);
		DestroyIcon(hIcon);
		hIcon=LoadIcon(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDI_YTV_USER));
		m_pImageList->Add(hIcon);
		DestroyIcon(hIcon);*/
	ptree.SetImageList(m_pImageList,TVSIL_NORMAL);
    ptree.SetImageList(m_pImageListSel,TVSIL_STATE); 	
	ptree.InsertItem("Patients",0,0,TVI_ROOT,TVI_LAST);
	ptree.InsertItem("Doctors",1,1,TVI_ROOT,TVI_LAST);
	ptree.InsertItem("Lens",2,2,TVI_ROOT,TVI_LAST);
}

/////////////////////////////////////////////////////////////////////////////
// CLeftView diagnostics

#ifdef _DEBUG
void CLeftView::AssertValid() const
{
	CTreeView::AssertValid();
}

void CLeftView::Dump(CDumpContext& dc) const
{
	CTreeView::Dump(dc);
}

CYtvScansDoc* CLeftView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CYtvScansDoc)));
	return (CYtvScansDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CLeftView message handlers
